<?php
	// include helper functions
	include "STS_functions.php";

	// include channels
	include "STS_channels.php";

	$color = "#000000";
	// ########## SDS ##########
	placeTextWithWebsiteLink(-290, 1750, "SDS", 120, 30, $color, "SDS Status Overview", "https://status-sds.kaas.kit.edu/");
	$posYmagnetName = 75;
	$posYCompName = -150;

	// ########## Rearsection ##########
	placeText($posYCompName, 100, "Rear Section", 70, 30, $color);
	placeText($posYmagnetName, 240, "RSCM", 30, 5, $color);

	// ########## WGTS ##########
	placeTextWithWebsiteLink($posYCompName, 670, "WGTS", 70, 30, $color, "WGTS Status Overview", "wgts");
	placeText($posYmagnetName, 340, "M5", 30, 5, $color);
	placeText($posYmagnetName, 410, "M4", 30, 5, $color);
	placeText($posYmagnetName, 550, "M1", 30, 5, $color);
	placeText($posYmagnetName, 730, "M2", 30, 5, $color);
	placeText($posYmagnetName, 900, "M3", 30, 5, $color);
	placeText($posYmagnetName, 1040, "M7", 30, 5, $color);
	placeText($posYmagnetName, 1115, "M6", 30, 5, $color);
	// M5, M4, M1
	placePicOrig($posYmagnetName-15, 340+10, "VertDashed5.png", "M5, M4, M1 of WGTS share one current");
	placePicOrig($posYmagnetName-15, 410+10, "VertDashed5.png", "M5, M4, M1 of WGTS share one current");
	placePicOrig($posYmagnetName-15, 550+10, "VertDashed5.png", "M5, M4, M1 of WGTS share one current");
	placePicOrig($posYmagnetName-15, 350, "HorDashed20.png", "M5, M4, M1 of WGTS share one current");
	placePicOrig($posYmagnetName-15, 437, "HorDashed20.png", "M5, M4, M1 of WGTS share one current");
	placePicOrig($posYmagnetName-15, 520, "HorDashed10.png", "M5, M4, M1 of WGTS share one current");
	// M2, M3
	placePicOrig($posYmagnetName-15, 730+10, "VertDashed5.png", "M2, M3 of WGTS share one current");
	placePicOrig($posYmagnetName-15, 900+10, "VertDashed5.png", "M2, M3 of WGTS share one current");
	placePicOrig($posYmagnetName-15, 740, "HorDashed20.png", "M2, M3 of WGTS share one current");
	placePicOrig($posYmagnetName-15, 826, "HorDashed20.png", "M2, M3 of WGTS share one current");
	// M7, M6
	placePicOrig($posYmagnetName-15, 1040+10, "VertDashed5.png", "M7, M6 of WGTS share one current");
	placePicOrig($posYmagnetName-15, 1115+20, "VertDashed5.png", "M7, M6 of WGTS share one current");
	placePicOrig($posYmagnetName-15, 1050, "HorDashed20.png", "M7, M6 of WGTS share one current");
	for ($ii = 3; $ii <=5; $ii++)
	{
		if ($ii==3) {$posX=400; $Nl=9280;} else if ($ii==4) {$posX=765; $Nl=9289;} else if ($ii==5) {$posX=1030; $Nl=21852;}
		// Magnet currents
		placeTextWithLink($posYmagnetName-35, $posX, sprintf('%.1F', $adeiValue[$ii][0])." A", 60, 3, "#FF0000", $KatrinNumber[$ii][0], $adeiChannel[$ii][0]);
		$Bfield = 1.26e-6 * $adeiValue[$ii][0] * $Nl;	// mu0 * I * N/l
		placeText($posYmagnetName-35, $posX+50, "<--> ".sprintf('%.1F', $Bfield)." T", 80, 3, "#FF0000");
	}
	/*placePicOrig(-15, 1580+50*($index-1), "VertDashed5.png", "all magnets of CPS share one current");
	placeText(0, 1570+50*($index-1), "M" . $index, 30, 5, $color);
	placePicOrig(-15, 1580, "HorDashed20.png", "all magnets of CPS share one current");
	placeTextWithLink(-35, 1650, sprintf('%.1F', $adeiValue[2][0])." A", 40, 3, "#FF0000", $KatrinNumber[2][0], $adeiChannel[2][0]);
	$NlCPS = 20550 / 0.9133;	
	$BfieldCPS = 1.26e-6 * $adeiValue[2][0] * $NlCPS;	// mu0 * I * N/l
	placeText(-35, 1690, "<--> ".sprintf('%.1F', $BfieldCPS)." T", 80, 3, "#FF0000");*/
	
	// ########## DPS ##########
	placeTextWithWebsiteLink($posYCompName, 1330, "DPS", 70, 30, $color, "DPS Status Overview", 
"https://bora-dps.kaas.kit.edu");
	$thresDPS = 0.4; // magnet B in T
	$tol = 180; // hall sensor B in mT 55
	//$cali = array( 800, -800, 800, -800, 800, -800, 808, -769, 736, -778 );
	// calibration from M. Erhard
	//$cali = array( 760, -760, 760, -760, 760, -760, 808, -769, 736, -778 );
	// now measuring in T instead of mT
	//$cali = array( 0.760, -0.760, 0.760, -0.760, 0.760, -0.760, 0.808, -0.769, 0.736, -0.778 );
	for ($index = 1; $index <= 5; $index++)
	{
		$posX = 1220 + 70*($index-1);

		/*$link = $adeiChannel[0][0 + 2*($index-1)] . "," . $adeiChannel[0][1 + 2*($index-1)];

		$value = ( (5.5 * $adeiValue[0][2*($index-1)] / $cali[2*($index-1)]) + (5.5 * $adeiValue[0][1 + 2*($index-1)] / $cali[1 + 2*($index-1)]) ) / 2.0 ;

		$text = $KatrinNumber[0][0 + 2*($index-1)] . ", " . $KatrinNumber[0][1 + 2*($index-1)]; */
		$link = $adeiChannel[0][$index-1];
		$value = -1.26e-6 * $adeiValue[0][$index-1] * 36846.6/0.62811;	// mu0 * I * N/l
		placeText($posYmagnetName, $posX, "M" . $index, 20, 5, $color);
		placeTextWithLink($posYmagnetName-35, $posX, sprintf('%.1F', $value)." T", 40, 3, "#FF0000", $text, $link);		
	}
	
	// ########## CPS ##########
	//placeTextWithWebsiteLink($posYCompName, 1650, "CPS", 70, 30, $color, "CPS Status Overview", "http://ipepc57.ipe.kit.edu:8888/status");
	placeTextWithWebsiteLink($posYCompName, 1650, "CPS", 70, 30, $color, "CPS Status Overview", "https://bora-cps.kaas.kit.edu");
	$thresCPS = 0.1; // threshold magnetic field in T
	for ($index = 1; $index <= 7; $index++)
	{
		//$pic = "coilA";

		$posX = 1570 + 50*($index-1);
		$posY = 230+3;
		
		$link = $adeiChannel[1][0 + 2*($index-1)] . "," . $adeiChannel[1][1 + 2*($index-1)];
		$value = ( $adeiValue[1][2*($index-1)] + $adeiChannel[1][1 + 2*($index-1)] ) /2.0 ;

		/*if (abs($value) > $thresCPS)
		{
			$posOffset = 0;
			if ($index == 2) $posOffset = 1;
			else if ($index == 4) $posOffset = -1;
			$text = "magnetic field [T] CPS magnet " . $index;
			placeTextWithLink($posY + 13, $posX - 5 + $posOffset, sprintf('%.1F', $value), 30, 2, "#FF0000", $text, $link);
			$pic = $pic . "On";
			$color = "#FF0000";
		}

		$text = "status CPS magnet " . $index . "&#10;red: ramped, white: off";
		placePicWithLink($posY, $posX, $pic . ".png", 20, $text, $link);*/

		// Current connection CPS
		placePicOrig(-15, 1580+50*($index-1), "VertDashed5.png", "all magnets of CPS share one current");
		placeText(0, 1570+50*($index-1), "M" . $index, 30, 5, $color);
	}
	placePicOrig(-15, 1580, "HorDashed20.png", "all magnets of CPS share one current");
	placePicOrig(-15, 1667, "HorDashed20.png", "all magnets of CPS share one current");
	placePicOrig(-15, 1754, "HorDashed20.png", "all magnets of CPS share one current");
	placePicOrig(-15, 1840, "HorDashed10.png", "all magnets of CPS share one current");
	placeTextWithLink(-35, 1640, sprintf('%.1F', $adeiValue[2][0])." A", 60, 3, "#FF0000", $KatrinNumber[2][0], $adeiChannel[2][0]);
	$NlCPS = 20550 / 0.9133;	
	$BfieldCPS = 1.26e-6 * $adeiValue[2][0] * $NlCPS;	// mu0 * I * N/l
	placeText(-35, 1690, "<--> ".sprintf('%.1F', $BfieldCPS)." T", 80, 3, "#FF0000");
	
        // throughput & column density
        $Q = ($adeiValue[6][0]+3.2 ) * 1.0;
	$Qtext = sprintf('%.1f', $Q)." sccm";
	placeTextWithLink(-50, 680, "q = ".$Qtext, 150, 4, $color, $KatrinNumber[23][0], $adeiChannel[23][0]);
        $Q1 = $Q *  0.01689189;
        $Q1text = sprintf('%.1f', $Q1)." mbar l/s";
	placeText(-25, 680, "q = ".$Q1text, 150, 4, $color);
        $Ntext = sprintf('%.1e', GetColDens($Q1))." 1/m^2";
        placeText(0, 680, "N = ".$Ntext, 150, 4, $color);
?>
