STS status monitor
==================

* Runs on Apache + PHP
* Website served by Apache process
* Data is polled in background at regular intervals
* Needs write access to www directory for caching

Docker
------

Setup builds on Ubuntu 18.04 (bionic) and starts server + polling process.

Build & run locally:
```
docker build -t sts-status-monitor .
docker run -p 8001:80 --name sts-status sts-status-monitor
docker rm -f sts-status    # terminates container
```

Runtime arguments:
* `POLL_INTERVAL` - polling interval for background process (default: 0 seconds = disabled)
* `POLL_SCRIPTS` - list of PHP scripts to run in parallel for polling (default: none)
